System 2.0.0.0 4.0.0.0 System.Object

You can specify a default cache policy for your application by using the property or the application or machine configuration files. For more information, see RequestCaching Element (Network Settings).

You can specify the cache policy for an individual request by using the property.

Caching for Web services is not supported.

Defines an application's caching requirements for resources obtained by using objects.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor initializes the property to .

  Initializes a new instance of the class.

- Constructor
  2.0.0.0
  4.0.0.0

  This constructor initializes the property to .

  The value controls whether caching is enabled, and when the cache can be used. For additional information, see the documentation.

  Initializes a new instance of the class. using the specified cache policy.

  A that specifies the cache behavior for resources obtained using objects.
- Property
  2.0.0.0
  4.0.0.0
  System.Net.Cache.RequestCacheLevel To be added.

  Applications typically use as their cache policy level. Using the level, the effective cache policy is determined by the current cache policy and the age of the content in the cache. The property, if not null, determines the cache policy in effect for a request.

  The default policy for the application domain can be set using the or the application or machine configuration file. For more information, see RequestCaching Element (Network Settings).

  Gets the value specified when this instance was constructed.

- Method
  2.0.0.0
  4.0.0.0
  System.MonoTODO
  System.String To be added.

  Returns a string representation of this instance.

  A containing the for this instance.